This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

APIs

1 - GetPaymentMonthly

1.1 - 1.1

get /v1/payments/monthly

Description

Get payment monthly data.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 10
any of [integer, null]20
querypage
optional
Page
Example : 1
any of [integer, null]1

Responses

HTTP CodeDescriptionSchema
200OKOrgPaymentMonthlyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/payments/monthly

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 1,
    "payments": [
        {
            "accumulated_unpaid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "bill_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "bill_currency": "KRW",
            "bill_year_month": "2024-08",
            "paid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "payer_account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "payer_account_name": "test-account",
            "payer_account_type": "MEMBER",
            "payment_currency": "KRW",
            "payment_date": "2024-08-01",
            "payment_state": "PAID",
            "suspended_year_month": "2024-08",
            "unpaid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "used_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "used_year_month": "2024-08"
        }
    ],
    "size": 10
}

1.2 - 1.0

get /v1/payments/monthly

Description

Get payment monthly data.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261119

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
Size
Example : 10
any of [integer, null]20
querypage
optional
Page
Example : 1
any of [integer, null]1

Responses

HTTP CodeDescriptionSchema
200OKOrgPaymentMonthlyResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/payments/monthly

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 1,
    "payments": [
        {
            "accumulated_unpaid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "bill_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "bill_currency": "KRW",
            "bill_year_month": "2024-08",
            "paid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "payer_account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "payer_account_name": "test-account",
            "payer_account_type": "MEMBER",
            "payment_currency": "KRW",
            "payment_date": "2024-08-01",
            "payment_state": "PAID",
            "suspended_year_month": "2024-08",
            "unpaid_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "used_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "used_year_month": "2024-08"
        }
    ],
    "size": 10
}

2 - ListBills

2.1 - 1.1

get /v1/bills

Description

Get bill list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querystart_year_month
optional
Start year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
queryend_year_month
optional
End year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, null]None
querybill_year_month
optional
Bill Date (YYYY-MM)
Example : 2024-07
any of [string, null]None
querybill_state
optional
Billing State
Example : USED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKBillListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/bills

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.1"

Example HTTP response

Response 200

{
    "bills": [
        {
            "account_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "adjust": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "asset": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "bill_state": "USED",
            "bill_year_month": "2024-07",
            "billing_item_id": "VIRTUAL_SERVER",
            "cancellation_fee": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "contract_id": "C002612775",
            "discount_amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "edp": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "msp_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "new_business_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "operation": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "option": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "order_status": "04",
            "package": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "partner_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "planned_compute": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "region": "kr-west1",
            "reseller_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "resource_name": "test-vm",
            "sales_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "service_category": "COMPUTE",
            "sla_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "software": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "support_plan": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "trimmed": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "usage_amt": "",
            "volume_discount": {
                "krw": "500.000",
                "usd": "0.000"
            }
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

2.2 - 1.0

get /v1/bills

Description

Get bill list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261119

Parameters

TypeNameDescriptionSchemaDefault
querystart_year_month
optional
Start year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
queryend_year_month
optional
End year-month (YYYY-mm)
Example : 2024-08
any of [string, null]None
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, null]None
querybill_year_month
optional
Bill Date (YYYY-MM)
Example : 2024-07
any of [string, null]None
querybill_state
optional
Billing State
Example : USED
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKBillListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/bills

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.0"

Example HTTP response

Response 200

{
    "bills": [
        {
            "account_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "asset": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "bill_state": "USED",
            "bill_year_month": "2024-07",
            "billing_item_id": "VIRTUAL_SERVER",
            "cancellation_fee": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "contract_id": "C002612775",
            "discount_amounts": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "edp": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "msp_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "new_business_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "operation": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "option": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "order_status": "04",
            "planned_compute": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_cost_savings": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "project_credit": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "region": "kr-west1",
            "reseller_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "resource_name": "test-vm",
            "sales_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "service_category": "COMPUTE",
            "sla_discount": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "support_plan": {
                "krw": "500.000",
                "usd": "0.000"
            },
            "usage_amt": ""
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

3 - ListUsages

3.1 - 1.1

get /v1/usages

Description

Get usage list.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querystart_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
LIMIT
Example :
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, array[string], null]None

Responses

HTTP CodeDescriptionSchema
200OKUsageListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/usages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "timezone": "Asia/Seoul",
    "usages": [
        {
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "amounts": {
                "krw": "500.0000000000",
                "usd": "0.0"
            },
            "billing_item_id": "VIRTUAL_SERVER",
            "ccbs_product_code": "PD00013862",
            "contract_id": "C002612775",
            "end_time": "2024-08-01 00:00:00",
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "metrics": [
                {
                    "unit_price_description": "112원/GB",
                    "usage": "0",
                    "usage_unit": "DAY"
                }
            ],
            "order_status": "04",
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "service_category": "COMPUTE",
            "start_time": "2024-08-01 00:00:00",
            "status_code": "0",
            "usage_date": "2024-08-01T00:00:00",
            "used_time": "10"
        }
    ]
}

3.2 - 1.0

get /v1/usages

Description

Get usage list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020261119

Parameters

TypeNameDescriptionSchemaDefault
querystart_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
LIMIT
Example :
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, array[string], null]None

Responses

HTTP CodeDescriptionSchema
200OKUsageListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/usages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "timezone": "Asia/Seoul",
    "usages": [
        {
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "amounts": {
                "krw": "500.0000000000",
                "usd": "0.0"
            },
            "billing_item_id": "VIRTUAL_SERVER",
            "ccbs_product_code": "PD00013862",
            "contract_id": "C002612775",
            "end_time": "2024-08-01 00:00:00",
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "metrics": [
                {
                    "unit_price_description": "112원/GB",
                    "usage": "0",
                    "usage_unit": "DAY"
                }
            ],
            "order_status": "04",
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "service_category": "COMPUTE",
            "start_time": "2024-08-01 00:00:00",
            "status_code": "0",
            "usage_date": "2024-08-01T00:00:00",
            "used_time": "10"
        }
    ]
}